petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecSetValuesLocal

Inserts or adds values into certain locations of a vector, using a local ordering of the nodes.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetValuesLocal(Vec x,PetscInt ni,const PetscInt ix[],const PetscScalar y[],InsertMode iora)

Not Collective Many br

### Input Parameters

| x | - vector to insert in Many br
| ni | - number of elements to add Many br
| ix | - indices where to add Many br
| y | - array of values Many br
| iora | - either INSERT_VALUES or ADD_VALUES, where Many brADD_VALUES adds values to any existing entries, and Many brINSERT_VALUES replaces existing entries with new values Many br

Many br

### Notes

VecSetValuesLocal() sets x[ix[i]] = y[i], for i=0,...,ni-1. Many br

Calls to VecSetValues() with the INSERT_VALUES and ADD_VALUES Many broptions cannot be mixed without intervening calls to the assembly Many brroutines. Many br

These values may be cached, so VecAssemblyBegin() and VecAssemblyEnd() Many brMUST be called after all calls to VecSetValuesLocal() have been completed. Many br

VecSetValuesLocal() uses 0-based indices in Fortran as well as in C. Many br

### See Also

VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetLocalToGlobalMapping(),
VecSetValuesBlockedLocal() Many br

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex21.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html